import { GraphQLSchema } from 'graphql';
import { BaseJavaVisitor } from './base-java-visitor.js';
import { JavaApolloAndroidPluginConfig } from './plugin.js';
import { VisitorConfig } from './visitor-config.js';
export declare class CustomTypeClassVisitor extends BaseJavaVisitor<VisitorConfig> {
    constructor(schema: GraphQLSchema, rawConfig: JavaApolloAndroidPluginConfig);
    private extract;
    additionalContent(): string;
    getPackage(): string;
}
